%{?nodejs_find_provides_and_requires}

%global packagename parents
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.1
Release: 1%{?dist}.3
Summary: Return all the parent directories for a directory
License: MIT
URL: https://github.com/substack/node-parents
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(path-platform) >= 0.11.15
BuildRequires: npm(path-platform) < 0.12.0
%if 0%{?enable_tests}
BuildRequires: npm(tap) >= 0.2.5
%endif

%description
Return all the parent directories of a directory, inclusive of that directory.


%prep
%setup -q -n package
%nodejs_fixdep --dev tap '>=0.2.5'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 1.0.1-1
- Initial package.
